Index: c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tmoverhd/dummy_rtems.ads	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -12,5 +12,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -25,15 +25,4 @@
 
 package DUMMY_RTEMS is
-
--- Initialization Manager
-
-   procedure INITIALIZE_EXECUTIVE (
-      CONFIGURATION_TABLE   : in     RTEMS.CONFIGURATION_TABLE_POINTER;
-      CPU_TABLE             : in     RTEMS.CPU_TABLE_POINTER
-   );
-
-   procedure SHUTDOWN_EXECUTIVE (
-      RESULT : in     RTEMS.UNSIGNED32
-   );
 
 -- Task Manager
@@ -124,10 +113,10 @@
 -- Interrupt Manager
 
-   procedure INTERRUPT_CATCH (
-      NEW_ISR_HANDLER : in     RTEMS.ADDRESS;
-      VECTOR          : in     RTEMS.VECTOR_NUMBER;
-      OLD_ISR_HANDLER :    out RTEMS.ADDRESS;
-      RESULT          :    out RTEMS.STATUS_CODES
-   );
+--   procedure INTERRUPT_CATCH (
+--      NEW_ISR_HANDLER : in     RTEMS.ADDRESS;
+--      VECTOR          : in     RTEMS.VECTOR_NUMBER;
+--      OLD_ISR_HANDLER :    out RTEMS.ADDRESS;
+--      RESULT          :    out RTEMS.STATUS_CODES
+--   );
 
 -- Clock Manager
@@ -428,48 +417,4 @@
    );
 
--- Input/Output Manager
-
-   procedure IO_INITIALIZE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
-   procedure IO_OPEN (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
-   procedure IO_CLOSE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
-   procedure IO_READ (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
-   procedure IO_WRITE (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
-   procedure IO_CONTROL (
-      MAJOR        : in     RTEMS.DEVICE_MAJOR_NUMBER;
-      MINOR        : in     RTEMS.DEVICE_MINOR_NUMBER;
-      ARGUMENT     : in     RTEMS.ADDRESS;
-      RESULT       :    out RTEMS.STATUS_CODES
-   );
-
 -- Fatal Error Manager
 
Index: c/src/ada-tests/tmtests/tmoverhd/tmtest.adb
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/tmtest.adb	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tmoverhd/tmtest.adb	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -11,5 +11,5 @@
 --  
 --
---  COPYRIGHT (c) 1989-1997.
+--  COPYRIGHT (c) 1989-2007.
 --  On-Line Applications Research Corporation (OAR).
 --
@@ -93,12 +93,12 @@
 --
 
-   procedure ISR_HANDLER (
-      VECTOR : in     RTEMS.VECTOR_NUMBER
-   ) is
-   begin
-
-      NULL;
-
-   end ISR_HANDLER;
+--   procedure ISR_HANDLER (
+--      VECTOR : in     RTEMS.VECTOR_NUMBER
+--   ) is
+--   begin
+--
+--      NULL;
+--
+--   end ISR_HANDLER;
 
 --PAGE
@@ -120,6 +120,4 @@
 --  TASK_1
 --
-
-   CPU_TABLE      : aliased RTEMS.CPU_TABLE;
 
    procedure TASK_1 (
@@ -163,41 +161,4 @@
       ERROR := 0;
      
--- INITIALIZE_EXECUTIVE
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.INITIALIZE_EXECUTIVE( 
-               RTEMS.CONFIGURATION,
-               CPU_TABLE'ACCESS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "INITIALIZE_EXECUTIVE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- SHUTDOWN_EXECUTIVE
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.SHUTDOWN_EXECUTIVE( ERROR );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "SHUTDOWN_EXECUTIVE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
 -- TASK_CREATE
 
@@ -456,23 +417,23 @@
 -- INTERRUPT_CATCH
 
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.INTERRUPT_CATCH( 
-               TMTEST.ISR_HANDLER'ADDRESS,  
-               RTEMS.VECTOR_NUMBER'FIRST,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "INTERRUPT_CATCH",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
+--      TIMER_DRIVER.INITIALIZE;
+--         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
+--         loop
+--            DUMMY_RTEMS.INTERRUPT_CATCH( 
+--               TMTEST.ISR_HANDLER'ADDRESS,  
+--               RTEMS.VECTOR_NUMBER'FIRST,
+--               ADDRESS_1,
+--               STATUS
+--            );
+--         end loop;
+--      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
+--
+--      TIME_TEST_SUPPORT.PUT_TIME( 
+--         "INTERRUPT_CATCH",
+--         TMTEST.END_TIME, 
+--         TIME_TEST_SUPPORT.OPERATION_COUNT, 
+--         OVERHEAD,
+--         0
+--      );
 
 -- CLOCK_GET
@@ -1313,136 +1274,4 @@
 TEST_SUPPORT.PAUSE;
 
--- IO_INITIALIZE
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_INITIALIZE( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_INITIALIZE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- IO_OPEN
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_OPEN( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_OPEN",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- IO_CLOSE
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_CLOSE( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_CLOSE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- IO_READ
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_READ( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_READ",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- IO_WRITE
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_WRITE( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_WRITE",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
--- IO_CONTROL
-
-      TIMER_DRIVER.INITIALIZE;
-         for INDEX in 1 .. TIME_TEST_SUPPORT.OPERATION_COUNT
-         loop
-            DUMMY_RTEMS.IO_CONTROL( 
-               MAJOR,
-               MINOR,
-               ADDRESS_1,
-               STATUS
-            );
-         end loop;
-      TMTEST.END_TIME := TIMER_DRIVER.READ_TIMER;
-
-      TIME_TEST_SUPPORT.PUT_TIME( 
-         "IO_CONTROL",
-         TMTEST.END_TIME, 
-         TIME_TEST_SUPPORT.OPERATION_COUNT, 
-         OVERHEAD,
-         0
-      );
-
 -- FATAL_ERROR_OCCURRED
 
Index: c/src/ada-tests/tmtests/tmoverhd/tmtest.ads
===================================================================
--- c/src/ada-tests/tmtests/tmoverhd/tmtest.ads	(revision d14963bf948d6e7b9250cc077f86c18e6458b478)
+++ c/src/ada-tests/tmtests/tmoverhd/tmtest.ads	(revision ba3e1a4fafa6c5f1c1ad731d33c84e41ccba870b)
@@ -122,7 +122,7 @@
 --
 
-   procedure ISR_HANDLER (
-      VECTOR : in     RTEMS.VECTOR_NUMBER
-   );
+--   procedure ISR_HANDLER (
+--      VECTOR : in     RTEMS.VECTOR_NUMBER
+--   );
 
 --
